#include "rc.h"

/* push a string to be eval'ed onto the input stack. evaluate it */

void
b_eval ( char ** av ) {
	bool i = interactive;
	if ( av[1] == NULL ) return;
	interactive = FALSE;
	pushstring( av + 1, i ); /* don't reset line numbers on noninteractive eval */
	doit ( TRUE ); /* doit? what is this, BSD? yuck. */
	interactive = i;
}
